aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Giovanni La Rocca (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (ARIES-1370) JPA main README.md file not up-to-date
Date Sat, 08 Aug 2015 21:34:46 GMT

    [ https://issues.apache.org/jira/browse/ARIES-1370?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14663182#comment-14663182
] 

Giovanni La Rocca edited comment on ARIES-1370 at 8/8/15 9:34 PM:
------------------------------------------------------------------

I get an exception while performing the step:
"install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.blueprint/2.1.0"


3.1.4.GA | HHH000400: Using dialect: org.hibernate.dialect.H2Dialect
2015-08-08 23:19:38,496 | WARN  | nsole user karaf | H2Dialect                        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000431: Unable to determine H2 database
version, certain features may not work
2015-08-08 23:19:38,499 | INFO  | nsole user karaf | LobCreatorBuilder                | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000423: Disabling contextual LOB creation
as JDBC driver reported JDBC version [0] less than 4
2015-08-08 23:19:38,568 | INFO  | nsole user karaf | ASTQueryTranslatorFactory        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000397: Using ASTQueryTranslatorFactory
2015-08-08 23:19:38,718 | ERROR | nsole user karaf | JavassistLazyInitializer         | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000142: Javassist Enhancement failed: org.apache.aries.jpa.example.tasklist.model.Task
java.lang.RuntimeException: by java.lang.NoClassDefFoundError: org/hibernate/proxy/HibernateProxy
	at javassist.util.proxy.ProxyFactory.createClass3(ProxyFactory.java:515)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass2(ProxyFactory.java:492)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass1(ProxyFactory.java:428)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass(ProxyFactory.java:400)[109:javassist:3.18.1.GA]
	at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.getProxyFactory(JavassistLazyInitializer.java:162)[114:org.hibernate.core:4.3.6.Final]
3.1.4.GA | HHH000400: Using dialect: org.hibernate.dialect.H2Dialect
2015-08-08 23:19:38,496 | WARN  | nsole user karaf | H2Dialect                        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000431: Unable to determine H2 database
version, certain features may not work
2015-08-08 23:19:38,499 | INFO  | nsole user karaf | LobCreatorBuilder                | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000423: Disabling contextual LOB creation
as JDBC driver reported JDBC version [0] less than 4
2015-08-08 23:19:38,568 | INFO  | nsole user karaf | ASTQueryTranslatorFactory        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000397: Using ASTQueryTranslatorFactory
2015-08-08 23:19:38,718 | ERROR | nsole user karaf | JavassistLazyInitializer         | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000142: Javassist Enhancement failed: org.apache.aries.jpa.example.tasklist.model.Task
java.lang.RuntimeException: by java.lang.NoClassDefFoundError: org/hibernate/proxy/HibernateProxy
	at javassist.util.proxy.ProxyFactory.createClass3(ProxyFactory.java:515)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass2(ProxyFactory.java:492)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass1(ProxyFactory.java:428)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass(ProxyFactory.java:400)[109:javassist:3.18.1.GA]
	at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.getProxyFactory(JavassistLazyInitializer.java:162)[114:org.hibernate.core:4.3.6.Final]
... more  ...

After that the bundle is:
"
karaf@root()> bundle:diag 122
Apache Aries JPA blueprint (122)
--------------------------------
Status: Installed
Unsatisfied Requirements:
[org.apache.aries.jpa.blueprint [122](R 122.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.coordinator)(version>=1.0.0)(!(version>=2.0.0)))
"

I've used karaf 4.0.0 as per instructions in README.md .






was (Author: glr):
I get the and exception while performing the step:
"install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.blueprint/2.1.0"


3.1.4.GA | HHH000400: Using dialect: org.hibernate.dialect.H2Dialect
2015-08-08 23:19:38,496 | WARN  | nsole user karaf | H2Dialect                        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000431: Unable to determine H2 database
version, certain features may not work
2015-08-08 23:19:38,499 | INFO  | nsole user karaf | LobCreatorBuilder                | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000423: Disabling contextual LOB creation
as JDBC driver reported JDBC version [0] less than 4
2015-08-08 23:19:38,568 | INFO  | nsole user karaf | ASTQueryTranslatorFactory        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000397: Using ASTQueryTranslatorFactory
2015-08-08 23:19:38,718 | ERROR | nsole user karaf | JavassistLazyInitializer         | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000142: Javassist Enhancement failed: org.apache.aries.jpa.example.tasklist.model.Task
java.lang.RuntimeException: by java.lang.NoClassDefFoundError: org/hibernate/proxy/HibernateProxy
	at javassist.util.proxy.ProxyFactory.createClass3(ProxyFactory.java:515)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass2(ProxyFactory.java:492)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass1(ProxyFactory.java:428)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass(ProxyFactory.java:400)[109:javassist:3.18.1.GA]
	at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.getProxyFactory(JavassistLazyInitializer.java:162)[114:org.hibernate.core:4.3.6.Final]
3.1.4.GA | HHH000400: Using dialect: org.hibernate.dialect.H2Dialect
2015-08-08 23:19:38,496 | WARN  | nsole user karaf | H2Dialect                        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000431: Unable to determine H2 database
version, certain features may not work
2015-08-08 23:19:38,499 | INFO  | nsole user karaf | LobCreatorBuilder                | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000423: Disabling contextual LOB creation
as JDBC driver reported JDBC version [0] less than 4
2015-08-08 23:19:38,568 | INFO  | nsole user karaf | ASTQueryTranslatorFactory        | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000397: Using ASTQueryTranslatorFactory
2015-08-08 23:19:38,718 | ERROR | nsole user karaf | JavassistLazyInitializer         | 118
- org.jboss.logging.jboss-logging - 3.1.4.GA | HHH000142: Javassist Enhancement failed: org.apache.aries.jpa.example.tasklist.model.Task
java.lang.RuntimeException: by java.lang.NoClassDefFoundError: org/hibernate/proxy/HibernateProxy
	at javassist.util.proxy.ProxyFactory.createClass3(ProxyFactory.java:515)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass2(ProxyFactory.java:492)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass1(ProxyFactory.java:428)[109:javassist:3.18.1.GA]
	at javassist.util.proxy.ProxyFactory.createClass(ProxyFactory.java:400)[109:javassist:3.18.1.GA]
	at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.getProxyFactory(JavassistLazyInitializer.java:162)[114:org.hibernate.core:4.3.6.Final]
... more  ...

After that the bundle is:
"
karaf@root()> bundle:diag 122
Apache Aries JPA blueprint (122)
--------------------------------
Status: Installed
Unsatisfied Requirements:
[org.apache.aries.jpa.blueprint [122](R 122.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.coordinator)(version>=1.0.0)(!(version>=2.0.0)))
"

I've used karaf 4.0.0 as per instructions in README.md .





> JPA main README.md file not up-to-date
> --------------------------------------
>
>                 Key: ARIES-1370
>                 URL: https://issues.apache.org/jira/browse/ARIES-1370
>             Project: Aries
>          Issue Type: Documentation
>          Components: JPA, Samples
>    Affects Versions: jpa-2.0.0
>         Environment: jdk1.8, mvn 3.3.3, karaf 3.0.4, ubuntu lts 
>            Reporter: Giovanni La Rocca
>            Priority: Trivial
>   Original Estimate: 5m
>  Remaining Estimate: 5m
>
> File README.md in org.apache.aries.jpa.main-2.0.0/examples is outdated.
> To make things work (using ubuntu lts, karaf 3.0.4) had to perform (simple) changes in
features and bundle version as described in patch:
> "
> --- README.md   2015-06-16 14:48:08.000000000 +0200
> +++ /home/john/LABS/ARIES-Samples/org.apache.aries.jpa.main-2.0.0/examples/README.md
   2015-08-08 19:14:26.015376238 +0200
> @@ -3,7 +3,7 @@
>  # copy DataSource config
>  cat https://svn.apache.org/repos/asf/aries/trunk/jpa/examples/org.ops4j.datasource-tasklist.cfg
| tac -f etc/org.ops4j.datasource-tasklist.cfg
> -feature:repo-add mvn:org.ops4j.pax.jdbc/pax-jdbc-features/0.6.0-SNAPSHOT/xml/features
> +feature:repo-add mvn:org.ops4j.pax.jdbc/pax-jdbc-features/0.6.0/xml/features
>  feature:install scr transaction pax-jdbc-config pax-jdbc-h2 pax-jdbc-pool-dbcp2 http-whiteboard
>  install -s mvn:org.hibernate.javax.persistence/hibernate-jpa-2.1-api/1.0.0.Final
> @@ -35,18 +35,18 @@
>  # Our JPA service implementation
> -install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.api/2.0.0-SNAPSHOT
> -install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.container/2.0.0-SNAPSHOT
> -install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.support/2.0.0-SNAPSHOT
> +install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.api/2.0.0
> +install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.container/2.0.0
> +install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.support/2.0.0
>  # Closure based example. (Make sure to start karaf with JDK 8)
> -install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.model/2.0.0-SNAPSHOT
> -install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.ds/2.0.0-SNAPSHOT
> +install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.model/2.0.0
> +install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.ds/2.0.0
>  # Blueprint based example
> -install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.blueprint/2.0.0-SNAPSHOT
> -install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.model/2.0.0-SNAPSHOT
> -install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.blueprint/2.0.0-SNAPSHOT
> +install -s mvn:org.apache.aries.jpa/org.apache.aries.jpa.blueprint/2.0.0
> +install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.model/2.0.0
> +install -s mvn:org.apache.aries.jpa.example/org.apache.aries.jpa.example.tasklist.blueprint/2.0.0
>  After installing the examples you can check for the services.
> "



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message